<!--

//used only in internal preview (webkit)
// without jquery

function waChangeImageCss(_map)
{
	var _img = document.getElementsByTagName("img").item();
	for (var _k in _map)
	{
		/*
		if (_k=="width")
		{
			_img.width = _map[_k]+"px"
		}
		else
		if (_k=="height")
		{
			_img.height = _map[_k]+"px"
		}
		else
		*/
		{
			eval("_img.style."+_k+"='"+_map[_k]+"'")
		}
		
	}

}

function waChangeImageSrc(_src)
{
var _img = document.getElementsByTagName("img").item();
_img.src = _src
}



function waTextResizeEvent(_params)
{
	return;
	var _w = _params.width
	var _h = _params.height
	var _m = _params.margin

	var _textContainer = document.getElementById("waTextMainContainer");
	if (_textContainer)
	{
		var _h2 = parseInt(_textContainer.offsetHeight)
		
		var _clientHeight = parseInt(_textContainer.clientHeight)
		var _innerHeight = parseInt(_textContainer.scrollHeight)
		var _hMax = _h-2*_m

		var _bScrollCanBeScrolled = false;
		if ((_h2>_hMax*(1-0.10)) )
		{
			_bScrollCanBeScrolled = true;
			_textContainer.style.height=_hMax+"px" //buggy probleme avec font nunito
			_textContainer.offsetHeight=_hMax+"px"
		}
		if (_bScrollCanBeScrolled==true)
		{
			if (_textContainer.scrollHeight > _textContainer.clientHeight)
			{
				_bScrollCanBeScrolled=false
			}
		}

		/*
		if (_bScrollCanBeScrolled)
		{
			_textContainer.style.backgroundColor="rgba(255,0,0,0.1)"
		}
		else
		{
			_textContainer.style.backgroundColor=""
		}
		*/

	}
}

function Translator()
{
}

-->
